Name:           frogr
Version:        1.3
Summary:        Flickr Remote Organizer for GNOME
Summary(de):    Flickr-Verwaltung für GNOME
Release:        4%{?dist}

License:        GPLv3
URL:            https://wiki.gnome.org/Apps/Frogr
Source0:        https://download.gnome.org/sources/%{name}/1.3/%{name}-%{version}.tar.xz

# appdata fixes backported from upstream
Patch0:         frogr-1.3-appdata-fixes.patch

BuildRequires:  gettext
BuildRequires:  gstreamer1-devel
BuildRequires:  gtk3-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  libexif-devel
BuildRequires:  desktop-file-utils
BuildRequires:  json-glib-devel
BuildRequires:  itstool
#Explicitly Requires: gvfs since we need gtk_show_uri to be able to open a
#web browser when associating frogr with a flickr account (this is how
#application/flickr pairing works, through flickr.com)
Requires:       gvfs

%description
Frogr is a small application for the GNOME desktop that allows users
to manage their accounts in the Flickr image hosting website. It
supports all the basic tasks, including uploading pictures, adding
descriptions, setting tags and managing sets.

%description -l de
Frogr ist eine Anwendung für die GNOME-Arbeitsumgebung zur Verwaltung der
Konten des Flickr-Bilderdienstes. Unterstützt werden sämtliche grundlegende
Aufgaben, wie das Hochladen von Bildern, Hinzufügen von Beschreibungen,
Setzen von Markierungen und Verwalten von Alben.


%prep
%setup -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
%make_install
%find_lang %{name} --with-gnome


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.frogr.desktop


%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%license COPYING
%doc README NEWS AUTHORS THANKS MAINTAINERS TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/appdata/org.gnome.frogr.appdata.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.frogr.png
%{_datadir}/icons/hicolor/*/apps/org.gnome.frogr.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.frogr-symbolic.svg
%{_datadir}/applications/org.gnome.frogr.desktop
%{_mandir}/man1/frogr.1.*


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 21 2017 Kalev Lember <klember@redhat.com> - 1.3-2
- Backport appdata fixes from upstream

* Mon Jun 12 2017 Kalev Lember <klember@redhat.com> - 1.3-1
- Update to 1.3

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Oct 06 2016 Kalev Lember <klember@redhat.com> - 1.2-1
- Update to 1.2
- Don't set group tags
- Use make_install macro
- Move desktop-file-validate to the check section
- Update project URLs (#1380998)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 30 2015 Kalev Lember <klember@redhat.com> - 1.0-1
- Update to 1.0
- Switch to building with gstreamer 1.0
- Use license macro for COPYING

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 17 2014 Richard Hughes <richard@hughsie.com> - 0.10-1
- New upstream version.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Richard Hughes <richard@hughsie.com> - 0.9-1
- New upstream version.

* Tue Apr 22 2014 Tomáš Mráz <tmraz@redhat.com> - 0.8-6
- Rebuild for new libgcrypt

* Mon Aug 05 2013 Christophe Fergeau <cfergeau@redhat.com> 0.8-5
- Don't set -DGTK_DISABLE_DEPRECATED as this breaks the build because of
  stock icons use
- Add missing BuildRequires

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Christophe Fergeau <cfergeau@redhat.com> 0.8-3
- Don't set -DG_DISABLE_DEPRECATED as this breaks the build because of
  GStaticRecMutex use

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild


* Mon Dec 31 2012 Mario Blättermann <mario.blaettermann@gmail.com> - 0.8-1
- rebuilt for new upstream version
- Added new dependencies

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild


* Sun May 27 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.7-1
- Update to release 0.7

* Sat Aug 20 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.6.1-1
- Update to bugfix release 0.6.1

* Tue Aug 16 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.6-1
- Bumped version to 0.6
- Added gnome-doc-utils dependency
- Removed %%defattr
- Removed obsolete patches

* Sun Jul 03 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.5-4
- Added intltool in BuildRequires
- Removed minimum required version from BuildRequires
- Applied some patches from upstream

* Wed Jun 01 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.5-3
- Removed unneeded stuff from %%changelog

* Tue May 31 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.5-2
- Picked the spec file from Frogr's Git repository
- Removed help files for the time being
- Added German summary and description

* Fri May 27 2011 Mario Sanchez Prada <msanchez at, igalia.com> 0.5-1
- New upstream release

* Sat Feb 05 2011 Mario Sanchez Prada <msanchez at, igalia.com> 0.4-1
- New upstream release

* Wed Dec 22 2010 Mario Sanchez Prada <msanchez at, igalia.com> 0.3-1
- Updated for 0.3

* Mon Oct 12 2009 Mario Sanchez Prada <msanchez at, igalia.com> 0.2-1
- Updated for 0.2

* Sat Aug 22 2009 Adrian Perez <aperez at, igalia.com> 0.1.1-1
- First packaged release
